react-npm-formatted-relative-date
=================================

Basic [React][] app. This project just aim to display relative date.

[![npm Version][npm-badge]][npm]
[![Build Status][travis-badge]][travis]

### Features

- Display Realative date.
- Runs in the browser and Node.js.
- Built on standards.

### Example

```js
import React,{Component} from 'react';
import ReactDOM from 'react-dom';
import FormattedRelativeDate from 'react-npm-formatted-relative-date';

class App extends Component {
	constructor(props){
		super(props);
	}

	render() {
		let myDate = new Date(2016,6,25);
		return(
			<div>
			<FormattedRelativeDate date={myDate} />
			</div>
		);
	}
}

ReactDOM.render(<App />,document.querySelector('.container'));

```

This example would render: relative date i.e. 3 days ago into the container element on the page.

### Technology Stack:

* react
* mocha
* react-intl

### Usage:

Clone the repo as a new project:

```
git clone https://github.com/lobdev/react-npm-formatted-relative-date.git <formatted-relative-date>
```
Start Server:

```
First you have to replace the lib/component/formatted-relative-date.js to server.js in package.json
cd formatted-relative-date
npm i
npm start
```
Run App:

```
npm start command automatically initiate browser at 3000 port
http:://localhost:3000
```

Run tests:

```
cd formatted-relative-date
npm i
npm test
```

### Developer Notes:

Make sure you configure your editor/IDE to use:

```
.editorconfig
.eslintrc
```

[npm]: https://www.npmjs.com/package/react-npm-formatted-relative-date
[npm-badge]: https://img.shields.io/npm/v/react-npm-formatted-relative-date.svg?style=flat-square
[travis]: https://travis-ci.org/lobdev/react-npm-formatted-relative-date
[travis-badge]: https://travis-ci.org/lobdev/react-npm-formatted-relative-date.svg?branch=master
[React]: http://facebook.github.io/react/